%define upstream_name    App-Cmd
%define upstream_version 0.330

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    "app cmd --subcmd" style subdispatching
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.130.0
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load) >= 0.60.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::OptList)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long) >= 2.390.0
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.84.0
BuildRequires: perl(IO::TieCombine)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Pod::Usage) >= 1.610.0
BuildRequires: perl(String::RewritePrefix)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Exporter::Util)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Text::Abbrev)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(IO::TieCombine)
%description
App::Cmd is intended to make it easy to write complex command-line
applications without having to think about most of the annoying things
usually involved.

For information on how to start using App::Cmd, see App::Cmd::Tutorial.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.330.0-2.mga6
+ Revision: 1022537
- Rebuild for perl 5.22.2

* Wed Dec 30 2015 shlomif <shlomif> 0.330.0-1.mga6
+ Revision: 916930
- update to 0.330

* Wed Oct 14 2015 sander85 <sander85> 0.329.0-1.mga6
+ Revision: 891223
- update to 0.329

* Sun Sep 06 2015 sander85 <sander85> 0.328.0-1.mga6
+ Revision: 873395
- update to 0.328

* Tue Jun 30 2015 sander85 <sander85> 0.327.0-1.mga6
+ Revision: 848604
- update to 0.327

* Thu Oct 23 2014 danf <danf> 0.323.0-5.mga5
+ Revision: 792784
- Rebuild for fixed dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.323.0-4.mga5
+ Revision: 739694
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.323.0-3.mga5
+ Revision: 731827
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 0.323.0-2.mga5
+ Revision: 683511
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.323.0-1.mga5
+ Revision: 581679
- update to 0.323

* Sat Oct 19 2013 umeabot <umeabot> 0.320.0-2.mga4
+ Revision: 526310
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.320.0-1.mga4
+ Revision: 436558
- update to 0.320

* Sun Jan 13 2013 umeabot <umeabot> 0.318.0-2.mga3
+ Revision: 363073
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 kharec <kharec> 0.318.0-1.mga3
+ Revision: 254531
- update to 0.318

* Wed Feb 22 2012 kharec <kharec> 0.316.0-1.mga2
+ Revision: 211899
- update to 0.316

* Thu Jan 05 2012 jquelin <jquelin> 0.314.0-1.mga2
+ Revision: 191163
- update to 0.314

* Wed Jan 04 2012 jquelin <jquelin> 0.313.0-1.mga2
+ Revision: 190262
- update to 0.313
- update to 0.312

* Fri Mar 18 2011 jquelin <jquelin> 0.311.0-1.mga1
+ Revision: 74109
- update to 0.311

* Sun Jan 23 2011 jquelin <jquelin> 0.310.0-1.mga1
+ Revision: 33579
- mageia rebuild
- imported package perl-App-Cmd

